Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::TOX::Style Struct Reference

a style More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Style ()
| constructor

## Public Attributes
int | m_level
| the level
std::vector< librevenge::RVNGString > | m_names
| the list of names

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<<

## Detailed Description

a style

## Constructor & Destructor Documentation

## ◆ Style()

StarWriterStruct::TOX::Style::Style | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Style const & | style )
| friend

operator<<

## Member Data Documentation

## ◆ m_level

int StarWriterStruct::TOX::Style::m_level

the level

Referenced by StarWriterStruct::TOX::read().

## ◆ m_names

std::vector<librevenge::RVNGString> StarWriterStruct::TOX::Style::m_names

the list of names

Referenced by StarWriterStruct::TOX::read().

The documentation for this struct was generated from the following file:

- StarWriterStruct.hxx